<?php

namespace App\Form\BaseType;

use App\Entity\ContactData\Phone;
use Misd\PhoneNumberBundle\Form\Type\PhoneNumberType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AddPhoneType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('phoneNumber', PhoneNumberType::class, ['label' => 'phoneNumber', 'widget' => PhoneNumberType::WIDGET_COUNTRY_CHOICE, 'country_choices' => ['GB', 'JE', 'FR', 'US'], 'preferred_country_choices' => ['GB', 'JE']]);
        $builder->add('type', ChoiceType::class, [
            'choices' => [
                'Personal' => 'perso',
                'Professional' => 'pro',
            ],
        ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Phone::class,
        ]);
    }

    /*    public function buildView(FormView $view, FormInterface $form, array $options)
        {
            parent::buildView($view, $form, $options); // TODO: Change the autogenerated stub
        }*/
}
